using System;
using System.Collections.Generic;
using System.Linq;

namespace PushPlatform.Data.Bll
{
    public partial class BllMappushUserRole
    {
        private DaoAchieve.MappushUserRoleDaoAchieve _CurrentDao = null;
        internal DaoAchieve.MappushUserRoleDaoAchieve CurrentDao
        {
            get{
                if(_CurrentDao==null)
                {
                    _CurrentDao=new DaoAchieve.MappushUserRoleDaoAchieve();
                }
                return _CurrentDao;
            }
        }
        
        public BllMappushUserRole()
        {
            
        }
    
        #region Service Bll
        public int Save(MappushUserRole entity)
        {
            if(entity == null)
                return 0;
            return CurrentDao.Save(entity);
        }
        
        public int Save(List<MappushUserRole> entityList)
        {
            if(entityList == null || entityList.Count == 0)
                return 0;
            return CurrentDao.Save(entityList);
        }
        
        
        public int Delete(string id)
        {
            if(string.IsNullOrEmpty(id))
                return 0;
            return CurrentDao.Delete(id);
        }
        
        public int Update(MappushUserRole entity)
        {
            if(entity == null)
                return 0;
            return CurrentDao.Update(entity);
        }
        
        public int Update(List<MappushUserRole> entityList)
        {
            if(entityList == null || entityList.Count == 0)
                return 0;
            return CurrentDao.Save(entityList);
        }
        
        public int SaveOrUpdate(IList<MappushUserRole> entityList)
        {
            if(entityList == null || entityList.Count == 0)
                return 0;
            return CurrentDao.SaveOrUpdate(entityList);
        }
        
        public MappushUserRole Get(string id)
        {
            if (string.IsNullOrEmpty(id))
            {
                return null;
            }
            return CurrentDao.Get(id);
        }
        
        public int GetCount(PushPlatform.Data.Criteria.CriteriaMappushUserRole mycriteria)
        {
            return CurrentDao.GetCount(mycriteria);
        }
        
        public List<MappushUserRole> Fetch(PushPlatform.Data.Criteria.CriteriaMappushUserRole mycriteria)
        {
            if(mycriteria.UsePage && (mycriteria.PageIndex <= 0 || mycriteria.PageSize < 1))
            {
                mycriteria.PageTotal = 0;
                return new List<MappushUserRole>();
            }
            return CurrentDao.Fetch(mycriteria);
        }
        #endregion
       
    }
}

